Subject: [clisp-list] clisp apparently hangs

From: Nico <[email-masked]>
Date: Sat Jan 26 16:09:02 2002

>if you have nothing better to do with your time,
>maybe you could write some code for us?
>See <http://clisp.cons.org>  -->  Tasks
>(<http://sourceforge.net/pm/?group_id=1355>)
Was actually more curious to 'test' the garbage collector. I'll take a
look at
the  tasks anyway and see if I can contribute.

>> (load "aima.lisp")
>> (aima-load 'all)
>you forgot (aima-compile)
The files were compiled. I did not mention that step

>> (dotimes (n 100) (test 'all) (format t "~%Test number = ~A~%" (1+
n)))

with the current CVS CLISP on a nt4sp6 400MHz,

>> (time (test 'all))
...
>Real time: 65.204 sec.
>Run time: 39.67705 sec.
>Space: 55824376 Bytes
>GC: 36, GC time: 19.588167 sec.

what about the dotimes form ? I evaluated the form again and each
time the system hung, I interrupted it and typed :rd . Doing this four
times eventually evaluated the form :
(dotimes (n 100) (test 'all) (format t "~%Test number = ~A~%" (1+ n)))
successfully.